CppUnit - The Unit Testing Library

CppUnit project page | FAQ

Classes | Public Member Functions | Private Types | Private Attributes | List of all members
ProtectorChain Class Reference

Protector chain (Implementation). Implementation detail. More...

`#include <ProtectorChain.h>`

Inheritance diagram for ProtectorChain:
[legend]
Collaboration diagram for ProtectorChain:
[legend]

## Classes
class | ProtectFunctor

## Public Member Functions
| ProtectorChain ()
| ~ProtectorChain ()
void | push (Protector *protector)
void | pop ()
int | count () const
bool | protect (const Functor &functor, const ProtectorContext &context)
Public Member Functions inherited from Protector
virtual | ~Protector ()

## Private Types
typedef std::deque< Protector * > | Protectors
typedef std::deque< Functor * > | Functors

## Private Attributes
Protectors | m_protectors

## Additional Inherited Members
Protected Member Functions inherited from Protector
void | reportError (const ProtectorContext &context, const Exception &error) const
void | reportError (const ProtectorContext &context, const Message &message, const SourceLine &sourceLine=SourceLine()) const
void | reportFailure (const ProtectorContext &context, const Exception &failure) const
Message | actualMessage (const Message &message, const ProtectorContext &context) const

## Detailed Description

Protector chain (Implementation). Implementation detail.

## Member Typedef Documentation

## ◆ Functors

typedef std::deque<Functor *> ProtectorChain::Functors
| private

## ◆ Protectors

typedef std::deque<Protector *> ProtectorChain::Protectors
| private

## Constructor & Destructor Documentation

## ◆ ProtectorChain()

ProtectorChain::ProtectorChain | ( |  | ) |

## ◆ ~ProtectorChain()

ProtectorChain::~ProtectorChain | ( |  | ) |

## Member Function Documentation

## ◆ count()

int ProtectorChain::count | ( |  | ) | const

## ◆ pop()

void ProtectorChain::pop | ( |  | ) |

## ◆ protect()

bool ProtectorChain::protect | ( | const Functor & | functor,
|  | const ProtectorContext & | context
| ) |  |
| virtual

Implements Protector.

## ◆ push()

void ProtectorChain::push | ( | Protector * | protector | ) |

## Member Data Documentation

## ◆ m_protectors

Protectors ProtectorChain::m_protectors
| private

The documentation for this class was generated from the following files:

- ProtectorChain.h
- ProtectorChain.cpp

| Send comments to: CppUnit Developers